<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC Driver External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SOC Driver External Functions<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa26d3729aa788862cb047273f0a6a98c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa26d3729aa788862cb047273f0a6a98c">SOC_init</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a> *ptrCfg, int32_t *errCode)</td></tr>
<tr class="separator:gaa26d3729aa788862cb047273f0a6a98c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6b33eeda1d9b88bdc33293cb4ed6a4d4">SOC_unhaltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga052c0a5972ca033528d14a0dfab89c8d">SOC_haltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad382a98de3528e07f1d103c71e5f50d3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad382a98de3528e07f1d103c71e5f50d3">SOC_enableLVDS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gad382a98de3528e07f1d103c71e5f50d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga766c141327a83bde248c6ef1a44f9f22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga766c141327a83bde248c6ef1a44f9f22">SOC_deinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga766c141327a83bde248c6ef1a44f9f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac70ccf967bb86e7bafb8d39c7c63d5b6">SOC_SPIOutputCtrl</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t spiInst, uint8_t enable, int32_t *errCode)</td></tr>
<tr class="separator:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac143e6c184eb01a7a50898feea1d83fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac143e6c184eb01a7a50898feea1d83fe">SOC_registerSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a> *ptrListenerCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac143e6c184eb01a7a50898feea1d83fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga49aa10d1e8e7d13ab99d7265f2f6f9de">SOC_deregisterSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint32_t systemInterrupt, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a> listenerHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e34ea7f910437dcf299e4832fc83113"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1e34ea7f910437dcf299e4832fc83113">SOC_triggerWarmReset</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga1e34ea7f910437dcf299e4832fc83113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf0c962d1061e55f2c01a0cb3fa3d1e5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabf0c962d1061e55f2c01a0cb3fa3d1e5">SOC_translateAddress</a> (uint32_t inAddr, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction, int32_t *errCode)</td></tr>
<tr class="separator:gabf0c962d1061e55f2c01a0cb3fa3d1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9162a3e242203a09bdb767226788113"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac9162a3e242203a09bdb767226788113">SOC_enableHWA</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gac9162a3e242203a09bdb767226788113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e5083ffd00c8381aad351d77073ed0e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1e5083ffd00c8381aad351d77073ed0e">SOC_enableCSI</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga1e5083ffd00c8381aad351d77073ed0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa105d6f345bbdd7753b76831078db51f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa105d6f345bbdd7753b76831078db51f">SOC_waitBSSPowerUp</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa105d6f345bbdd7753b76831078db51f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga953aabc650930f4aebaf2e2c31dccd0e">SOC_microDelay</a> (uint32_t delayInMircoSecs)</td></tr>
<tr class="separator:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad20a40feecb898ae999fe3e332c9db51"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad20a40feecb898ae999fe3e332c9db51">SOC_setPeripheralClock</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a> clkSource, uint8_t clkDivisor, int32_t *errCode)</td></tr>
<tr class="separator:gad20a40feecb898ae999fe3e332c9db51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaab4a41bd0d2175c9ba7020e021c83072">SOC_initPeripheralRam</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, int32_t *errCode)</td></tr>
<tr class="separator:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab34fe3f3730b6b168071cf029c1f06b5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab34fe3f3730b6b168071cf029c1f06b5">SOC_enableWatchdog</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gab34fe3f3730b6b168071cf029c1f06b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e784f4cbbcda863df23986a8be2731d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7e784f4cbbcda863df23986a8be2731d">SOC_setMMWaveDSSLinkState</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t state, int32_t *errCode)</td></tr>
<tr class="separator:ga7e784f4cbbcda863df23986a8be2731d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f5e61462029d909dd4d66ba7f3d13b0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1f5e61462029d909dd4d66ba7f3d13b0">SOC_isMMWaveDSSOperational</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga1f5e61462029d909dd4d66ba7f3d13b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab8a852f7c928ea69e2006df9f094fd66"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab8a852f7c928ea69e2006df9f094fd66">SOC_setMMWaveMSSLinkState</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t state, int32_t *errCode)</td></tr>
<tr class="separator:gab8a852f7c928ea69e2006df9f094fd66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81029f1ccc28d9469ebd4399b28a30c7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga81029f1ccc28d9469ebd4399b28a30c7">SOC_isMMWaveMSSOperational</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga81029f1ccc28d9469ebd4399b28a30c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bdf6efe21ac3dbcd1a4127ae70e35c9"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7bdf6efe21ac3dbcd1a4127ae70e35c9">SOC_setMSSLinkState</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t state, int32_t *errCode)</td></tr>
<tr class="separator:ga7bdf6efe21ac3dbcd1a4127ae70e35c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2b8c5e467a6e72f5a405e3b149b07e9"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac2b8c5e467a6e72f5a405e3b149b07e9">SOC_isMSSOperational</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gac2b8c5e467a6e72f5a405e3b149b07e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d24293250b23e96f2ac3a066bdf0c6f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3d24293250b23e96f2ac3a066bdf0c6f">SOC_setDSSLinkState</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t state, int32_t *errCode)</td></tr>
<tr class="separator:ga3d24293250b23e96f2ac3a066bdf0c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f396fb9515fb7678457218820638f94"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9f396fb9515fb7678457218820638f94">SOC_isDSSOperational</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga9f396fb9515fb7678457218820638f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3320cf8e1a4b28d0804c3e2dda342de"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad3320cf8e1a4b28d0804c3e2dda342de">SOC_triggerDSStoMSSsoftwareInterrupt</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t interruptNumber, int32_t *errCode)</td></tr>
<tr class="separator:gad3320cf8e1a4b28d0804c3e2dda342de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d01f4165800545b6bb027b8da6f34f7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d01f4165800545b6bb027b8da6f34f7">SOC_configureDSSESMMask</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t errorNumber, uint8_t mask, int32_t *errCode)</td></tr>
<tr class="separator:ga4d01f4165800545b6bb027b8da6f34f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga42ee388910478bc7fc1d772d6669970e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga42ee388910478bc7fc1d772d6669970e">SOC_isSecureDevice</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga42ee388910478bc7fc1d772d6669970e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ef5f7d2063b64f205654944f2efa992"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1ef5f7d2063b64f205654944f2efa992">SOC_controlSecureFirewall</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint32_t firewallModulesBitmap, uint8_t control, int32_t *errCode)</td></tr>
<tr class="separator:ga1ef5f7d2063b64f205654944f2efa992"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga4d01f4165800545b6bb027b8da6f34f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_configureDSSESMMask </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>errorNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to configure the bit level mask for each of the group 2 error signal connected to DSS ESM input.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errorNumber</td><td>ESM error number denoting the bit position that should be masked or unmasked. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mask</td><td>Mask error flag, 0 - Unmask, 1 - Mask </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html">SOC Driver Error Codes</a>) populated on error.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1ef5f7d2063b64f205654944f2efa992"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_controlSecureFirewall </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>firewallModulesBitmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>control</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to enable/disable secure firewall for specified modules This function should be called only if the device is a secure device</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">firewallModulesBitmap</td><td>Bitmap of modules (specified by SOC_SecureFirewallModules) for which firewall needs to be modified </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">control</td><td>SOC_SECURE_FIREWALL_DISABLE - Firewall disable (enables access to modules) SOC_SECURE_FIREWALL_ENABLE - Firewall enable (disables access to modules) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga766c141327a83bde248c6ef1a44f9f22"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_deinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize and shutdown the SOC Driver module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga49aa10d1e8e7d13ab99d7265f2f6f9de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_deregisterSysIntListener </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>systemInterrupt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a>&#160;</td>
          <td class="paramname"><em>listenerHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deregister a listener from a system interrupt</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">systemInterrupt</td><td>System interrupt on which the listener is to be deregistered </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">listenerHandle</td><td>System Interrupt Handler to be deregistered </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1e5083ffd00c8381aad351d77073ed0e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_enableCSI </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to enable the CSI Interface and bring it out of the Idle state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac9162a3e242203a09bdb767226788113"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_enableHWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function enables access to hardware accelerator config memory.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad382a98de3528e07f1d103c71e5f50d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_enableLVDS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to enable and power up the LVDS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab34fe3f3730b6b168071cf029c1f06b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_enableWatchdog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to bring watchdog(RTIB) out of reset</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga052c0a5972ca033528d14a0dfab89c8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_haltBSS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to halt the BSS</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa26d3729aa788862cb047273f0a6a98c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> SOC_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a> *&#160;</td>
          <td class="paramname"><em>ptrCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize and setup the SOC Driver. If the system clock configuration is initialized then the function will unhalt the BSS and will wait until the APLL calibiration is completed.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCfg</td><td>Pointer to the SOC configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Pointer to the SOC Driver </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaab4a41bd0d2175c9ba7020e021c83072"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_initPeripheralRam </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a>&#160;</td>
          <td class="paramname"><em>module</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the Peripheral RAM</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">module</td><td>SOC mudule id </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the function</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9f396fb9515fb7678457218820638f94"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_isDSSOperational </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to check the DSS Operational status for the module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1f5e61462029d909dd4d66ba7f3d13b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_isMMWaveDSSOperational </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to check the DSS Operational status for the mmWave module. This function should only be used by the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga81029f1ccc28d9469ebd4399b28a30c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_isMMWaveMSSOperational </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to check the MSS Operational status for the mmWave module. This function should only be used by the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac2b8c5e467a6e72f5a405e3b149b07e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_isMSSOperational </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to check the MSS Operational status for the module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga42ee388910478bc7fc1d772d6669970e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_isSecureDevice </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to check if the device is a secure device</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Secure</td><td>- 1 </td></tr>
    <tr><td class="paramname">Non_Secure</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga953aabc650930f4aebaf2e2c31dccd0e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SOC_microDelay </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>delayInMircoSecs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a utility function which has been provided to add a delay in micro-second granularity.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">delayInMircoSecs</td><td>Delay in microsecond</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac143e6c184eb01a7a50898feea1d83fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a> SOC_registerSysIntListener </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrListenerCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to register a listener for a system interrupts. It is possible to attach multiple listeners to a system interrupt and once the interrupt is triggered the SOC module will ensure that the registered listeners are invoked.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrListenerCfg</td><td>Pointer to the listener configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the System Interrupt Listener </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3d24293250b23e96f2ac3a066bdf0c6f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_setDSSLinkState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to set the DSS Operational status for the module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">state</td><td>Operational State (1 is operational and 0 is not operational) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7e784f4cbbcda863df23986a8be2731d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_setMMWaveDSSLinkState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to set the DSS Operational status for the mmWave module. This function should only be used by the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">state</td><td>Operational State (1 is operational and 0 is not operational) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab8a852f7c928ea69e2006df9f094fd66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_setMMWaveMSSLinkState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to set the MSS Operational status for the mmWave module. This function should only be used by the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">state</td><td>Operational State (1 is operational and 0 is not operational) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7bdf6efe21ac3dbcd1a4127ae70e35c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_setMSSLinkState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to set the MSS Operational status of a module executing on the MSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">state</td><td>Operational State (1 is operational and 0 is not operational) </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad20a40feecb898ae999fe3e332c9db51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_setPeripheralClock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a>&#160;</td>
          <td class="paramname"><em>module</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a>&#160;</td>
          <td class="paramname"><em>clkSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>clkDivisor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the peripheral module clock source and divisor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">module</td><td>Peripheral Module Id </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">clkSource</td><td>Peripheral clock source </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">clkDivisor</td><td>Peripheral clock divisor </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the function</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac70ccf967bb86e7bafb8d39c7c63d5b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_SPIOutputCtrl </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>spiInst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>enable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to enable/disable SPIA/SPIB output</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">spiInst</td><td>SPI instance, 0 -SPIA, 1 - SPIB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">enable</td><td>Output Enable flag, 0 -disable, 1 - enable </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabf0c962d1061e55f2c01a0cb3fa3d1e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SOC_translateAddress </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>inAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a>&#160;</td>
          <td class="paramname"><em>direction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function translates the inAddr from one domain to the other</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inAddr</td><td>input address that needs to be translated </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">direction</td><td>hint on which domain to translate from and to </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- valid translated address and errCode is set to 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- SOC_TRANSLATEADDR_INVALID and errCode is set to SOC_EINVAL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad3320cf8e1a4b28d0804c3e2dda342de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_triggerDSStoMSSsoftwareInterrupt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>interruptNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function is used to trigger software interrupt from DSS to MSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">interruptNumber</td><td>Interrupt number. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html">SOC Driver Error Codes</a>) populated on error.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1e34ea7f910437dcf299e4832fc83113"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_triggerWarmReset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to trigger a warm reset. Currently the warm reset is issued only upon MSS Watch dog reset.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga6b33eeda1d9b88bdc33293cb4ed6a4d4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_unhaltBSS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to unhalt the BSS</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa105d6f345bbdd7753b76831078db51f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t SOC_waitBSSPowerUp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function checks TopRCM SPARE0 Register and wait until BSS is powered up.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the SOC Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
